Subject: 1000 singleladies from Russia are online now, have ineterst?

From: [email-masked]
Date: Wed, 3 Feb 2010 13:04:04 -0400

I am your Russian pussy - you remember my nickname? 100% check - please visit